(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var IFIDVersions;
    (function (IFIDVersions) {
        IFIDVersions["UUID"] = "UUIDv4";
        IFIDVersions["UUIDv1"] = "UUIDv1";
        IFIDVersions["UUIDv4"] = "UUIDv4";
        IFIDVersions["FileBased"] = "FileBasedSHA";
        IFIDVersions["FileBasedSHA"] = "FileBasedSHA";
        IFIDVersions["FileBasedMD5"] = "FileBasedMD5";
        IFIDVersions["Pre1990ZCode"] = "Pre1990ZCode";
        IFIDVersions["Post1990ZCode"] = "Post1990ZCode";
        IFIDVersions["LegacyTADS2"] = "TADS2";
        IFIDVersions["LegacyTADS3"] = "TADS3";
        IFIDVersions["LegacyHugo"] = "HUGO";
        IFIDVersions["DocumentedMagneticScrolls"] = "DocumentedMagneticScrolls";
        IFIDVersions["UndocumentedMagneticScrolls"] = "MAGNETIC";
        IFIDVersions["LegacyAGT"] = "LegacyAGT";
        IFIDVersions["LegacyAdvSys"] = "ADVSYS";
        IFIDVersions["MSDOS"] = "MZ";
        IFIDVersions["Windows"] = "MZ";
        IFIDVersions["OS2"] = "MZ";
        IFIDVersions["ELF"] = "ELF";
        IFIDVersions["Java"] = "JAVA";
        IFIDVersions["AmigaOS"] = "AMIGA";
        IFIDVersions["Script"] = "SCRIPT";
        IFIDVersions["MacOSX"] = "MACHO";
        IFIDVersions["MachO"] = "MACHO";
        IFIDVersions["PreOSX"] = "MAC";
        IFIDVersions["ALAN"] = "ALAN";
    })(IFIDVersions = exports.IFIDVersions || (exports.IFIDVersions = {}));
    exports.default = IFIDVersions;
});
